//==============================================================
// GEO file for facegear mesh generation
// DATE: 04/07/2016            TIME:  19:41:20
//==============================================================
Merge "Facegear.stl";



// Create the topology of the discrete model
CreateTopology;

//Define a compound line (resp. surface) for each discrete line (resp. surface) in the model
ll[] = Line "*";
l = newl;
For j In {0 : #ll[]-1}
  Compound Line(l+j) = ll[j];
EndFor

ss[] = Surface "*";
s = news;
For i In {0 : #ss[]-1}
  Compound Surface(s+i) = ss[i];
EndFor

p = newp;

//Mesh refinement around certain points
lc_small = 0.01;
Point(p+1) = {4.154337,-58.550986,-21.586082,lc_small};
Point{p+1} In Surface{s+3};
Point(p+2) = {4.154337,-58.550986,-21.586082,lc_small};
Point{p+2} In Surface{s+3};
Point(p+3) = {4.154337,-58.550986,-21.586082,lc_small};
Point{p+3} In Surface{s+3};
Point(p+4) = {3.335682,-58.505955,-20.184437,lc_small};
Point{p+4} In Surface{s+3};
Point(p+5) = {3.335682,-58.505955,-20.184437,lc_small};
Point{p+5} In Surface{s+3};
Point(p+6) = {2.527292,-58.549779,-18.782792,lc_small};
Point{p+6} In Surface{s+3};
Point(p+7) = {2.527292,-58.549779,-18.782792,lc_small};
Point{p+7} In Surface{s+3};
Point(p+8) = {2.527292,-58.549779,-18.782792,lc_small};
Point{p+8} In Surface{s+3};
Point(p+9) = {1.716832,-58.683045,-17.381147,lc_small};
Point{p+9} In Surface{s+3};
Point(p+10) = {1.716832,-58.683045,-17.381147,lc_small};
Point{p+10} In Surface{s+3};
Point(p+11) = {1.716832,-58.683045,-17.381147,lc_small};
Point{p+11} In Surface{s+3};
Point(p+12) = {0.891959,-58.905249,-15.979502,lc_small};
Point{p+12} In Surface{s+3};
Point(p+13) = {0.891959,-58.905249,-15.979502,lc_small};
Point{p+13} In Surface{s+3};
Point(p+14) = {0.891959,-58.905249,-15.979502,lc_small};
Point{p+14} In Surface{s+3};






// Create the volume based on the new compound entities
Surface Loop(1) = {s : s + #ss[]-1};
Volume(1) = {1};

// Physical Surface("Boundary Surface") = {s : s + #ss[]-1};
// Physical Volume("Volume") = 1;
// Physical Surface("Right Boundary")=s+0;
// Physical Surface("Left Boundary")=s+1;
// Physical Surface("Tooth Bottom")={s+14, s+18, s+22};
// Physical Surface("Von Mieses Search")={s+2, s+6, s+14, s+18, s+22};
// Physical Surface("Load Flank")={s+3};





Mesh.CharacteristicLengthMax=2.46975; // Mesh size control
Mesh.RemeshAlgorithm = 1; // automatic
Mesh.RemeshParametrization = 1; // (1) conformal (7) conformal finite element


Mesh.Algorithm3D = 4; //  (1=Delaunay, 4=Frontal, 5=Frontal Delaunay, 6=Frontal Hex, 7=MMG3D, 9=R-tree)
